Package com.sas.lsaf.clinical.model

## Class ModelConstants

- java.lang.Object
- - com.sas.lsaf.clinical.model.ModelConstants

-     public abstract class ModelConstants
      extends java.lang.Object

  Class ModelServiceConstants.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ModelConstants.AttributeScope` |
    `static class` | `ModelConstants.AttributeState` |
    `static class` | `ModelConstants.DataType` |
    `static class` | `ModelConstants.LogicalType` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `MODEL_CLINICAL_ENTITY` |
    `static java.lang.String` | `MODEL_ENTITY_GROUP` |
    `static java.lang.String` | `MODEL_METADATA_SOURCE` |
    `static java.lang.String` | `MODEL_METADATA_SOURCE_VERSION` |
    `static java.lang.String` | `MODEL_NAME` |
    `static java.lang.String` | `MODEL_SASNAME` |
    `static java.lang.String` | `MODEL_STANDARD_TYPE` |
    `static java.lang.String` | `MODEL_TLF_ATTRIBUTE_IDENTIFIER` |
    `static java.lang.String` | `MODEL_TLF_ATTRIBUTE_NAME` |
    `static java.lang.String` | `MODEL_TLF_ATTRIBUTE_TYPE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ModelConstants()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.util.Set<java.lang.String>` | `getRequiredModelTlfAttributes()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MODEL_STANDARD_TYPE

          public static final java.lang.String MODEL_STANDARD_TYPE

      See Also:
        Constant Field Values

    - #### MODEL_CLINICAL_ENTITY

          public static final java.lang.String MODEL_CLINICAL_ENTITY

      See Also:
        Constant Field Values

    - #### MODEL_NAME

          public static final java.lang.String MODEL_NAME

      See Also:
        Constant Field Values

    - #### MODEL_METADATA_SOURCE

          public static final java.lang.String MODEL_METADATA_SOURCE

      See Also:
        Constant Field Values

    - #### MODEL_METADATA_SOURCE_VERSION

          public static final java.lang.String MODEL_METADATA_SOURCE_VERSION

      See Also:
        Constant Field Values

    - #### MODEL_ENTITY_GROUP

          public static final java.lang.String MODEL_ENTITY_GROUP

      See Also:
        Constant Field Values

    - #### MODEL_SASNAME

          public static final java.lang.String MODEL_SASNAME

      See Also:
        Constant Field Values

    - #### MODEL_TLF_ATTRIBUTE_NAME

          public static final java.lang.String MODEL_TLF_ATTRIBUTE_NAME

      See Also:
        Constant Field Values

    - #### MODEL_TLF_ATTRIBUTE_IDENTIFIER

          public static final java.lang.String MODEL_TLF_ATTRIBUTE_IDENTIFIER

      See Also:
        Constant Field Values

    - #### MODEL_TLF_ATTRIBUTE_TYPE

          public static final java.lang.String MODEL_TLF_ATTRIBUTE_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ModelConstants

          public ModelConstants()

  - ### Method Detail

    - #### getRequiredModelTlfAttributes

          public static final java.util.Set<java.lang.String> getRequiredModelTlfAttributes()